## astropy-healpix 0.2

=== cextern/astrometry.net/Makefile ===

all: test_healpix

OBJS = healpix-utils.o healpix.o starutil.o permutedsort.o mathutil.o bl.o ioutils.o tic.o errors.o log.o qsort_reentrant.o

HEADERS = healpix-utils.h healpix.h

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) -o $@ -c $<

%.o: %.c
	$(CC) -o $@ -c $<

test_healpix: test_healpix-main.c test_healpix.c $(OBJS) cutest.o

=== debian/changelog ===
astropy-healpix (0.2-7) unstable; urgency=medium

  * Fix build on mips by reverting an upstream change.
    (Closes: #906881)

 -- Leo Singer <leo.singer@ligo.org>  Wed, 22 Aug 2018 12:47:54 -0400

astropy-healpix (0.2-6) unstable; urgency=medium

  * Fix "astropy-healpix ftbfs (Python 3.7 build error)": should
    have been noted in last release (Closes: #906192)
  * Fix "flaky autopkgtest: tolerance too small?": should have been
    noted in last release (Closes: #902713)
  * Update Standards-Version to 4.2.0. 
  * Remove installed *.c files.

 -- Leo Singer <leo.singer@ligo.org>  Mon, 20 Aug 2018 08:46:36 -0400

astropy-healpix (0.2-5) unstable; urgency=medium

  * Rebuild Cython files from source. 

 -- Leo Singer <leo.singer@ligo.org>  Thu, 16 Aug 2018 15:31:21 -0400

astropy-healpix (0.2-4) unstable; urgency=medium

  * Fix capitalization of license short names in order
    to resolve lintian warning:
    global-files-wildcard-not-first-paragraph-in-dep5-copyright

 -- Leo Singer <leo.singer@ligo.org>  Wed, 23 May 2018 01:50:13 -0400

astropy-healpix (0.2-3) unstable; urgency=medium

  * Fix docstrings so that they do not depend on Numpy formatting
    differences between 32-bit and 64-bit platforms. See upstream
    issue: https://github.com/astropy/astropy-healpix/issues/81

 -- Leo Singer <leo.singer@ligo.org>  Thu, 17 May 2018 23:53:07 -0400

astropy-healpix (0.2-2) unstable; urgency=medium

  * For building, only require Healpy on 64-bit architectures.
    Healpy is only used for testing and is only 64-bit compatible.
  * Update Standards-Version to 4.1.4.
  * Skip doctests that are broken by the new Numpy 1.14.0 array
    representation format.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 17 May 2018 16:48:57 -0400

astropy-healpix (0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #888870)

 -- Leo Singer <leo.singer@ligo.org>  Mon, 05 Feb 2018 18:57:26 -0500

=== debian/control ===
Source: astropy-healpix
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Section: python
Priority: optional
Build-Depends: cython,
               cython3,
               debhelper (>= 11),
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-astropy,
               python-astropy-helpers,
               python-healpy [any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64],
               python-hypothesis,
               python-numpy,
               python-pytest,
               python-setuptools (>= 0.6.4),
               python3-all-dev,
               python3-astropy,
               python3-astropy-helpers,
               python3-healpy [any-ia64 any-amd64 any-arm64 any-ppc64 any-ppc64el any-sparc64],
               python3-hypothesis,
               python3-numpy,
               python3-pytest,
               python3-setuptools (>= 0.6.4)
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy-healpix
Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy-healpix.git
Homepage: http://astropy-healpix.readthedocs.io
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.5

Package: python-astropy-healpix
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: HEALPix representation of spherical data - Python 2
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This is a BSD-licensed HEALPix package developed by the Astropy project
 and based on C code written by Dustin Lang in astrometry.net.
 .
 This package provides modules for Python 2.

Package: python3-astropy-healpix
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: HEALPix representation of spherical data - Python 3
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This is a BSD-licensed HEALPix package developed by the Astropy project
 and based on C code written by Dustin Lang in astrometry.net.
 .
 This package provides modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2 := $(shell pyversions -vr)
PYTHON3 := $(shell py3versions -vr)
export PYBUILD_NAME := astropy-healpix
export http_proxy=127.0.0.1:9

# Delete *.c files that should not be installed.
# I'm not sure why this package has this problem while no other
# Astropy-affiliated packages do.
export PYBUILD_AFTER_INSTALL := find {destdir} -name '*.c' -delete

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv --args "-vv"

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

=== debian/tests/control ===
Tests: python-astropy-healpix
Depends: python-astropy-healpix, python-healpy, python-hypothesis, python-pytest
Restrictions: allow-stderr

Tests: python3-astropy-healpix
Depends: python3-astropy-healpix, python3-healpy, python3-hypothesis, python3-pytest
Restrictions: allow-stderr

## astropy-healpix 0.4

=== debian/changelog ===
astropy-healpix (0.4-5) unstable; urgency=medium

  * Compile with -ffloat-store on i386 to fix unit test failures due
    to unwanted floating point precision. (Closes: #921324)

 -- Leo Singer <leo.singer@ligo.org>  Tue, 05 Mar 2019 22:53:26 -0500

astropy-healpix (0.4-4) unstable; urgency=medium

  * Include python3-astropy as a build dependeny on all
    architectures, including i386.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 24 Jan 2019 10:34:27 -0500

astropy-healpix (0.4-3) unstable; urgency=medium

  * Add python3-healpy as a build dependency on all architectures
    except for i386 (for which python3-healpy does not yet build.)
  * Add patch to fix unit test failures on 32-bit systems by writing
    64-bit integer literals portably as (int64_t)4 rather than 4L.
  * Add patch to fix implicit declaration warning.

 -- Leo Singer <leo.singer@ligo.org>  Mon, 21 Jan 2019 15:39:38 -0500

astropy-healpix (0.4-2) unstable; urgency=medium

  * Add patch to replace np.asscalar with ndarray.item to fix a
    deprecation error in the unit tests.
    (Closes: #917756, #918201, #918625)
  * Update Standards-Version to 4.3.0.

 -- Leo Singer <leo.singer@ligo.org>  Mon, 21 Jan 2019 08:24:19 -0500

astropy-healpix (0.4-1) unstable; urgency=medium

  * New upstream release.
  * Rediff patches.
  * Drop dependency on Cython.

 -- Leo Singer <leo.singer@ligo.org>  Tue, 18 Dec 2018 15:05:36 -0500

astropy-healpix (0.3.1-2) unstable; urgency=medium

  * Fix lintian warning: multi-arch-same-package-calls-pycompile.
  * Update Standards-Version to 4.2.1.
  * Put a patch back in place for MIPS.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 09 Dec 2018 22:31:02 -0500

astropy-healpix (0.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove Python 2 support.
  * Remove some patches that were fixed upstream.

 -- Leo Singer <leo.singer@ligo.org>  Sat, 08 Dec 2018 20:17:46 -0500

=== debian/control ===
Source: astropy-healpix
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Leo Singer <leo.singer@ligo.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               python3-all-dev,
               python3-astropy,
               python3-astropy-helpers,
               python3-healpy (>= 1.12.8-8),
               python3-hypothesis,
               python3-numpy,
               python3-pytest,
               python3-setuptools (>= 0.6.4)
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy-healpix
Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy-healpix.git
Homepage: http://astropy-healpix.readthedocs.io
X-Python3-Version: >= 3.5

Package: python3-astropy-healpix
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: HEALPix representation of spherical data - Python 3
 HEALPix is an acronym for Hierarchical Equal Area isoLatitude Pixelization
 of a sphere. As suggested in the name, this pixelization produces a
 subdivision of a spherical surface in which each pixel covers the same
 surface area as every other pixel. It is commonly used to store all-sky
 astronomical images, most famously maps of the cosmic microwave background.
 .
 This is a BSD-licensed HEALPix package developed by the Astropy project
 and based on C code written by Dustin Lang in astrometry.net.
 .
 This package provides modules for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3 := $(shell py3versions -vr)
export PYBUILD_NAME := astropy-healpix
export http_proxy=127.0.0.1:9

# Delete *.c files that should not be installed.
# I'm not sure why this package has this problem while no other
# Astropy-affiliated packages do.
export PYBUILD_AFTER_INSTALL := find {destdir} -name '*.c' -delete

ifeq ($(DEB_HOST_ARCH),i386)
	export DEB_CFLAGS_MAINT_APPEND := -ffloat-store
endif


%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv --args "-vv"

override_dh_auto_test:  $(PYTHON3:%=test-python%)
endif

=== debian/tests/control ===
Tests: python3-astropy-healpix
Depends: python3-astropy-healpix, python3-healpy, python3-hypothesis, python3-pytest
Restrictions: allow-stderr

## astropy-healpix 0.5

=== debian/changelog ===
astropy-healpix (0.5-5build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:21:02 +0100

astropy-healpix (0.5-5) unstable; urgency=medium

  * Rebuild for source-only upload.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 02 Jan 2020 11:45:28 -0500

astropy-healpix (0.5-4) unstable; urgency=medium

  * Disable deadlines for even more tests with flaky timings.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 01 Jan 2020 14:50:42 -0500

astropy-healpix (0.5-3) unstable; urgency=medium

  * Disable deadline for additional flaky tests to fix FTBS on arm64
    and mips64el archs.

 -- Leo Singer <leo.singer@ligo.org>  Wed, 01 Jan 2020 11:32:54 -0500

astropy-healpix (0.5-2) unstable; urgency=medium

  * Disable deadline for some flaky tests to fix FTBFS on MIPS archs

 -- Ole Streicher <olebole@debian.org>  Fri, 06 Dec 2019 20:20:39 +0100

astropy-healpix (0.5-1) unstable; urgency=low

  * Team upload.
  * New upstream version 0.5
  * Rediff patches. Drop patches that are applied upstream.
  * Push Standards-Version to 4.4.1. No changes needed
  * Add explicit dh-python build dependency (Closes: #945408)
  * Use pytest in CI test
  * Remove unused paragraphs from d/copyright
  * Add minimal d/u/metadata file

 -- Ole Streicher <olebole@debian.org>  Fri, 06 Dec 2019 10:00:17 +0100

astropy-healpix (0.4-6) unstable; urgency=medium

  * Team upload.
  * Fix import failure from astropy.tests on astropy 3.2
    (Closes: #932727, #935272)
  * Push Standards-Version to 4.4.0. No changes required.
  * Push compat to 12. Remove d/compat
  * Add tests on salsa

 -- Ole Streicher <olebole@debian.org>  Wed, 21 Aug 2019 21:25:42 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Uploaders: Leo Singer <leo.singer@ligo.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
                python3-all-dev,
                python3-astropy,
                python3-astropy-helpers,
@@ -12,11 +13,10 @@
                python3-numpy,
                python3-pytest,
                python3-setuptools (>= 0.6.4)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy-healpix
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy-healpix.git
 Homepage: http://astropy-healpix.readthedocs.io
-X-Python3-Version: >= 3.5
 
 Package: python3-astropy-healpix
 Architecture: any

=== debian/watch ===
version=3
https://pypi.debian.net/astropy-healpix/astropy-healpix-(\d+(?:\.\d+)*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## astropy-healpix 0.6

=== debian/changelog ===
astropy-healpix (0.6-2) unstable; urgency=medium

  [Debian Janitor]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-healpy and
      python3-setuptools.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [Ole Streicher]
  * Team upload.
  * Temporarily disable tests that fail due to limited FP precision
    (Closes: #1026012)
  * Update standards version to 4.6.2, no changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 03 Jan 2023 16:48:59 +0100

astropy-healpix (0.6-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/watch URL.
  * Update build dependencies to use extensions-helpers rather than
    astropy-helpers.

 -- Leo Singer <leo.singer@ligo.org>  Fri, 19 Mar 2021 16:44:31 -0400

astropy-healpix (0.5-6) unstable; urgency=medium

  * Fix broken unit tests on i386 due to floating point
    tolerance being too tight.
  * Update debhelper compat to 13.
  * Update Standards-Version to 4.5.0.

 -- Leo Singer <leo.singer@ligo.org>  Sun, 19 Jul 2020 17:51:00 -0400

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Uploaders: Leo Singer <leo.singer@ligo.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all-dev,
                python3-astropy,
-               python3-astropy-helpers,
-               python3-healpy (>= 1.12.8-8),
+               python3-extension-helpers,
+               python3-healpy,
                python3-hypothesis,
                python3-numpy,
                python3-pytest,
-               python3-setuptools (>= 0.6.4)
-Standards-Version: 4.4.1
+               python3-setuptools,
+               python3-setuptools-scm
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy-healpix
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy-healpix.git
-Homepage: http://astropy-healpix.readthedocs.io
+Homepage: https://astropy-healpix.readthedocs.io
 
 Package: python3-astropy-healpix
 Architecture: any

## astropy-healpix 1.0.0

=== debian/changelog ===
astropy-healpix (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Test for invalid lon, lat, and xyz values (Closes: #1057865)

 -- Ole Streicher <olebole@debian.org>  Wed, 13 Dec 2023 08:57:41 +0100

astropy-healpix (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.0

 -- Ole Streicher <olebole@debian.org>  Tue, 28 Nov 2023 13:42:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,10 +16,3 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-test-python%:
-	python$* setup.py test -vv --args "-vv"
-
-override_dh_auto_test:  $(PYTHON3:%=test-python%)
-endif

## astropy-healpix 1.0.3

=== debian/changelog ===
astropy-healpix (1.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.0.3. Closes: #1074825
  * Drop Test-for-invalid-lon-lat-and-xyz-values.patch: Applied upstream
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Aug 2024 17:05:03 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-pytest,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/astropy-healpix
 Vcs-Git: https://salsa.debian.org/debian-astro-team/astropy-healpix.git
 Homepage: https://astropy-healpix.readthedocs.io

## astropy-healpix 1.1.0

=== debian/changelog ===
astropy-healpix (1.1.0-1) unstable; urgency=medium

  * New upstream release. Closes: #1094893
  * Add missing Numpy ABI dependency. Closes: #1094826

 -- Leo Singer <leo.singer@ligo.org>  Mon, 03 Feb 2025 21:18:06 -0500

## astropy-healpix 1.1.2

=== cextern/astrometry.net/Makefile ===

all: test_healpix

OBJS = healpix-utils.o healpix.o starutil.o permutedsort.o mathutil.o bl.o qsort_reentrant.o

HEADERS = healpix-utils.h healpix.h

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) -o $@ -c $<

%.o: %.c
	$(CC) -o $@ -c $<

test_healpix: test_healpix-main.c test_healpix.c $(OBJS) CuTest.o

example: example.c $(OBJS)

=== debian/changelog ===
astropy-healpix (1.1.2-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 22 Oct 2025 11:57:05 +0000

astropy-healpix (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Leo Singer <leo.singer@ligo.org>  Thu, 20 Feb 2025 11:01:30 -0500

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                python3-astropy,
                python3-extension-helpers,

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,8 @@
 
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+override_dh_shlibdeps:
+	dh_shlibdeps
+	dh_numpy3

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && python3 -m pytest --pyargs astropy_healpix
Depends: python3-astropy-healpix, python3-healpy, python3-hypothesis, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://pypi.debian.net/astropy-healpix/astropy_healpix-(\d+(?:\.\d+)*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
